=== Testing/niftilib/CMakeLists.txt ===
#File Generated by Hans J. Johnson
#Please contact hans-johnson@uiowa.edu for making enhancments/corrections
PROJECT(NIFTILIB_TESTS)

INCLUDE_DIRECTORIES(${NIFTILIB_SOURCE_DIR} ${ZNZLIB_SOURCE_DIR} ${NIFTILIB_SOURCE_DIR}/../utils)

ADD_EXECUTABLE(first_test nifti_test.c)
TARGET_LINK_LIBRARIES(first_test niftiio )

ADD_EXECUTABLE(second_test nifti_test2.c)
TARGET_LINK_LIBRARIES(second_test niftiio )


ADD_TEST(first_test first_test )
