=== debian/changelog ===
nifticlib (2.0.0-2build1) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:36:46 +0000

nifticlib (2.0.0-2) unstable; urgency=medium

  * The "I am not dead" release. General packaging updates, uncrufting,
    and making lintian v2.5.27 be satisfied.
    - Add all three patches commited to the upstream VCS since the 2.0.0
      release: e.g. improved memory management in case of IO errors.
  * Update uploader's email address.
  * Switch to debhelper compatibility level 9.
  * Replace custom makefile logic with dpkg-buildflags. This
    also enabled hardening features for compilation.
  * Bumped Standards-version to 3.9.5.
  * Removed obsolete DM-Upload tag.
  * Replace embedded jquery.js with a proper package dependency.
  * Rectify shell brace expansion in libnifti-dev.install.
  * 

 -- Michael Hanke <mih@debian.org>  Mon, 06 Oct 2014 07:59:50 +0200

nifticlib (2.0.0-1) unstable; urgency=low

  * New release. Library changed API, hence bumped SO version to 2.0
    (Closes: #587912).
  * Switch to dpkg-source 3.0 (quilt) format. Split git feature branches into
    quilt patch series.
  * Drop versioned -dev package.
  * Change maintainer to NeuroDebian Team <team@neuro.debian.net>.
  * Switch from verbose debhelper rules to 'dh'.
  * Removed ECODE patch (merged with upstream).
  * Bumped Standards-version to 3.9.0. Now supports 'nocheck'.

 -- Michael Hanke <michael.hanke@gmail.com>  Tue, 20 Jul 2010 16:12:57 -0400

nifticlib (1.1.0-3) unstable; urgency=low

  * Disable building libfslio and remove the associated patches. The library
    is deprecated upstream. The affected Debian packages fsl and fslview
    will both build and use this library from fslview source code.
  * Included upstream-approved patch to add an ECODE for the PYPICKLE
    extension that is needed by PyNIfTI. Adjusted shlibdeps accordingly.
  * Added 'XS-DM-Upload-Allowed: yes' to debian/control.

 -- Michael Hanke <michael.hanke@gmail.com>  Thu, 19 Feb 2009 19:13:54 +0100

nifticlib (1.1.0-2) unstable; urgency=low

  * Added patch to libfslio from FSL 4.1: Removal of ANALYZE support.
    Additionally, FSL 4.1 changed the signature of FslSeekVolume(). This patch
    is not imported as it has to be coordinated with upstream (ABI change).
    But as fslio will be remove from the package with the next version, there
    is little need to do so.
  * Added shlibsdeps info with (<= 1.1.0-2) for the upcoming removal of fslio.
    This is only needed for fsl and fslview packages (the only ones using
    fslio), to prevent them from being broken, once a new stripped nifticlib
    package is uploaded.

 -- Michael Hanke <michael.hanke@gmail.com>  Fri, 24 Oct 2008 15:43:45 +0200

nifticlib (1.1.0-1) unstable; urgency=low

  * New upstream release. libniftiio1 contains some additional symbols --
    keeping SONAME and let dh_makeshlibs note dependency information (>= 1.1).
  * Do not install fsliolib scripts (im*,remove_ext,*.tcl) anymore. This part
    will most likely be removed from the package in future releases. So far,
    it has not been exposed in the default search path, but is only used
    internally by the fsl package. However, FSL itself comes with a more
    up-to-date copy of these scripts. The included ones are outdated and cannot
    be used as a dependency for FSL.
  * Convert debian/copyright into a machine-readable format and merge
    debian/README.legal into it.
  * Bump Standards-version to 3.8.0, no changes necessary.
  * Manpage generator for 'nifti_tool' now replaces all single-quotes with
    double-quotes to prevent confusing them with groff commands, if they are
    first character on a line (addressed lintian warning).

 -- Michael Hanke <michael.hanke@gmail.com>  Mon, 29 Sep 2008 12:38:07 +0200

nifticlib (1.0.0-1) unstable; urgency=low

  * New Upstream Version. New versioning scheme follows SO versions. All
    libraries in the package are no synchronized with respect to SO name
    and version.
  * Merged filename memory leak patch and ARM alignment patch (modified)
    with upstream.
  * Merged libfslio* packages with libniftiio*. As all library versions
    are now synchronized there is no need to keep libfslio separated.
    Especially as libfslio depends on libniftiio and is only a non-significant
    addition to the libniftiio package. Furthermore upstream is planning to
    merge libfslio with libniftiio in one of the next releases.
  * Renamed the only remaining library package pair to libnifti1. This is
    necessary to move all sub-libraries into one package without changing
    the SO name of libniftiio1 (with properly added conflicts to old
    libniftiio1 package).
  * Removed build-dep to d-shlibs as it cannot deal with new package name and
    install is now done manually.
  * Fixed some missing and some unnecessary symbols with correct linking.
  * Bumped Standards-version to 3.7.3, no changes necessary.

 -- Michael Hanke <michael.hanke@gmail.com>  Wed, 02 Jan 2008 20:46:21 +0100

nifticlib (0.6-3) unstable; urgency=low

  * Fix half-broken dependency of libfslio0-dev on no longer existing
    libniftiio0-dev.

 -- Michael Hanke <michael.hanke@gmail.com>  Wed, 28 Nov 2007 13:32:14 +0100

nifticlib (0.6-2) unstable; urgency=low

  * Compile 'unused' functions in nifticdf, because the prospective AFNI
    package depends on them. Set SO version of linifticdf to 0debian.1.0,
    because symbols were added.
  * Added new-style 'Hompage' and Vcs* fields to debian/control source stanza.
  * Included patch that fixes an illegal memory read that could occur when
    handling short filenames. Thanks to Yaroslav Halchenko.
  * Included patch that fixes a complicated issue that caused the library to
    fail on ARM. The reason was byte-swapping code that did not take the
    4-byte alignment on ARM into account. Please see
    http://netwinder.osuosl.org/users/b/brianbr/public_html/alignment.html

