=== debian/control ===
Source: nifticlib
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: NeuroDebian Team <team@neuro.debian.net>
Uploaders: Michael Hanke <mih@debian.org>, Yaroslav Halchenko <debian@onerussian.com>
Build-Depends: debhelper (>= 9~), cmake, zlib1g-dev, doxygen, python
Standards-Version: 3.9.5
Section: libs
Homepage: http://niftilib.sourceforge.net
Vcs-Browser: http://git.debian.org/?p=pkg-exppsy/nifticlib.git
Vcs-Git: git://git.debian.org/git/pkg-exppsy/nifticlib.git


Package: libnifti2
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: IO libraries for the NIfTI-1 data format
 Niftilib is a set of i/o libraries for reading and writing files in the 
 NIfTI-1 data format. NIfTI-1 is a binary file format for storing medical 
 image data, e.g. magnetic resonance image (MRI) and functional MRI (fMRI) 
 brain images.
 .
 This package contains the shared library of the low-level IO library niftiio,
 low-level IO library znzlib and the nifticdf shared library that provides
 functions to compute cumulative distributions and their inverses.


Package: libnifti-dev
Section: libdevel
Architecture: any
Depends: libnifti2 (= ${binary:Version}), ${misc:Depends}
Conflicts: libnifti1-dev, libniftiio-dev, libnifti0-dev, libfslio-dev
Replaces: libnifti1-dev
Description: IO libraries for the NIfTI-1 data format
 Niftilib is a set of i/o libraries for reading and writing files in the 
 NIfTI-1 data format. NIfTI-1 is a binary file format for storing medical 
 image data, e.g. magnetic resonance image (MRI) and functional MRI (fMRI) 
 brain images.
 .
 This package provides the header files and static libraries of libniftiio,
 znzlib and libnifticdf.


Package: nifti-bin
Section: utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: tools shipped with the NIfTI library
 Niftilib is a set of i/o libraries for reading and writing files in the 
 NIfTI-1 data format. NIfTI-1 is a binary file format for storing medical 
 image data, e.g. magnetic resonance image (MRI) and functional MRI (fMRI) 
 brain images.
 .
 This package provides the tools that are shipped with the library 
 (nifti_tool, nifti_stats and nifti1_test).


Package: libnifti-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, libjs-jquery
Description: NIfTI library API documentation
 Niftilib is a set of i/o libraries for reading and writing files in the 
 NIfTI-1 data format. NIfTI-1 is a binary file format for storing medical 
 image data, e.g. magnetic resonance image (MRI) and functional MRI (fMRI) 
 brain images.
 .
 This package provides the library API reference documentation.
