=== debian/watch ===
version=3
http://sf.net/niftilib/nifticlib-([\d\.]*)\.tar\.gz
